org.apache.ivy.osgi.core

## Class ExportPackage

- java.lang.Object
- - org.apache.ivy.osgi.core.BundleCapability
  - - org.apache.ivy.osgi.core.ExportPackage

    public class ExportPackage
    extends BundleCapability

### Constructor Summary

Constructors
Constructor and Description
`ExportPackage(java.lang.String name, Version version)`

### Method Summary

Methods
`void` `addUse(java.lang.String pkg)`
`boolean` `equals(java.lang.Object obj)`
`java.util.Set<java.lang.String>` `getUses()`
`Version` `getVersion()`
`int` `hashCode()`

### Methods inherited from class org.apache.ivy.osgi.core.BundleCapability

`getName, getRawVersion, getType, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExportPackage

    public ExportPackage(java.lang.String name,
                 Version version)

### Method Detail

#### addUse

    public void addUse(java.lang.String pkg)

#### getVersion

    public Version getVersion()

Overrides:
  `getVersion` in class `BundleCapability`

#### getUses

    public java.util.Set<java.lang.String> getUses()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `BundleCapability`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `BundleCapability`